Operations - List

Выводит список всех доступных операций Rest API OperationsInsights.

GET https://management.azure.com/providers/Microsoft.OperationalInsights/operations?api-version=2026-03-01

Параметры URI

Имя В Обязательно Тип Описание
api-version
query True

string

minLength: 1

Версия API, используемая для данной операции.

Ответы

Имя Тип Описание
200 OK

OperationListResult

Запрос выполнен успешно.

Other Status Codes

ErrorResponse

Непредвиденное сообщение об ошибке.

Безопасность

azure_auth

Поток OAuth2 в Azure Active Directory.

Тип: oauth2
Flow: implicit
URL-адрес авторизации: https://login.microsoftonline.com/common/oauth2/authorize

Области

Имя Описание
user_impersonation выдать себя за учетную запись пользователя

Примеры

Get specific operation status

Образец запроса

GET https://management.azure.com/providers/Microsoft.OperationalInsights/operations?api-version=2026-03-01

Пример ответа

{
  "value": [
    {
      "name": "Microsoft.OperationalInsights/workspaces/write",
      "display": {
        "description": "Creates a new workspace or links to an existing workspace by providing the customer id from the existing workspace.",
        "operation": "Create Workspace",
        "provider": "Microsoft Operational Insights",
        "resource": "Workspace"
      }
    },
    {
      "name": "Microsoft.OperationalInsights/workspaces/read",
      "display": {
        "description": "Gets an existing workspace",
        "operation": "Get Workspace",
        "provider": "Microsoft Operational Insights",
        "resource": "Workspace"
      }
    },
    {
      "name": "Microsoft.OperationalInsights/workspaces/delete",
      "display": {
        "description": "Deletes a workspace. If the workspace was linked to an existing workspace at creation time then the workspace it was linked to is not deleted.",
        "operation": "Delete Workspace",
        "provider": "Microsoft Operational Insights",
        "resource": "Workspace"
      }
    },
    {
      "name": "Microsoft.OperationalInsights/workspaces/generateregistrationcertificate/action",
      "display": {
        "description": "Generates Registration Certificate for the workspace. This Certificate is used to connect Microsoft System Center Operation Manager to the workspace.",
        "operation": "Generates Registration Certificate for Workspace.",
        "provider": "Microsoft Operational Insights",
        "resource": "Registration Certificate"
      }
    },
    {
      "name": "Microsoft.OperationalInsights/workspaces/storageinsightconfigs/write",
      "display": {
        "description": "Creates a new storage configuration. These configurations are used to pull data from a location in an existing storage account.",
        "operation": "Create Storage Configuration",
        "provider": "Microsoft Operational Insights",
        "resource": "Storage Insight Configuration"
      }
    },
    {
      "name": "Microsoft.OperationalInsights/workspaces/storageinsightconfigs/read",
      "display": {
        "description": "Gets a storage configuration.",
        "operation": "Get Storage Configuration",
        "provider": "Microsoft Operational Insights",
        "resource": "Storage Insight Configuration"
      }
    },
    {
      "name": "Microsoft.OperationalInsights/workspaces/storageinsightconfigs/delete",
      "display": {
        "description": "Deletes a storage configuration. This will stop Microsoft Operational Insights from reading data from the storage account.",
        "operation": "Delete Storage Configuration",
        "provider": "Microsoft Operational Insights",
        "resource": "Storage Insight Configuration"
      }
    },
    {
      "name": "Microsoft.OperationalInsights/register/action",
      "display": {
        "description": "Register a subscription to a resource provider.",
        "operation": "Register a subscription to a resource provider.",
        "provider": "Microsoft Operational Insights",
        "resource": "Register"
      }
    },
    {
      "name": "Microsoft.OperationalInsights/workspaces/sharedKeys/action",
      "display": {
        "description": "Retrieves the shared keys for the workspace. These keys are used to connect Microsoft Operational Insights agents to the workspace.",
        "operation": "List Workspace Shared Keys",
        "provider": "Microsoft Operational Insights",
        "resource": "Shared Keys"
      }
    },
    {
      "name": "Microsoft.OperationalInsights/workspaces/sharedKeys/read",
      "display": {
        "description": "Retrieves the shared keys for the workspace. These keys are used to connect Microsoft Operational Insights agents to the workspace.",
        "operation": "List Workspace Shared Keys",
        "provider": "Microsoft Operational Insights",
        "resource": "Shared Keys"
      }
    },
    {
      "name": "Microsoft.OperationalInsights/workspaces/listKeys/action",
      "display": {
        "description": "Retrieves the list keys for the workspace. These keys are used to connect Microsoft Operational Insights agents to the workspace.",
        "operation": "List Workspace Keys",
        "provider": "Microsoft Operational Insights",
        "resource": "List Keys"
      }
    },
    {
      "name": "Microsoft.OperationalInsights/workspaces/listKeys/read",
      "display": {
        "description": "Retrieves the list keys for the workspace. These keys are used to connect Microsoft Operational Insights agents to the workspace.",
        "operation": "List Workspace Keys",
        "provider": "Microsoft Operational Insights",
        "resource": "List Keys"
      }
    },
    {
      "name": "Microsoft.OperationalInsights/workspaces/managementGroups/read",
      "display": {
        "description": "Gets the names and metadata for System Center Operations Manager management groups connected to this workspace.",
        "operation": "Get Management Groups for Workspace",
        "provider": "Microsoft Operational Insights",
        "resource": "Management Group"
      }
    },
    {
      "name": "Microsoft.OperationalInsights/workspaces/usages/read",
      "display": {
        "description": "Gets usage data for a workspace including the amount of data read by the workspace.",
        "operation": "Get Usage Data for Workspace",
        "provider": "Microsoft Operational Insights",
        "resource": "Usage Metric"
      }
    },
    {
      "name": "Microsoft.OperationalInsights/workspaces/search/action",
      "display": {
        "description": "Executes a search query",
        "operation": "Search Workspace Data",
        "provider": "Microsoft Operational Insights",
        "resource": "Search"
      }
    },
    {
      "name": "Microsoft.OperationalInsights/workspaces/schema/read",
      "display": {
        "description": "Gets the search schema for the workspace.  Search schema includes the exposed fields and their types.",
        "operation": "Get Search Schema",
        "provider": "Microsoft Operational Insights",
        "resource": "Search Schema"
      }
    },
    {
      "name": "Microsoft.OperationalInsights/workspaces/datasources/read",
      "display": {
        "description": "Get datasources under a workspace.",
        "operation": "Get datasources under a workspace.",
        "provider": "Microsoft Operational Insights",
        "resource": "Data Source"
      }
    },
    {
      "name": "Microsoft.OperationalInsights/workspaces/datasources/write",
      "display": {
        "description": "Create/Update datasources under a workspace.",
        "operation": "Create/Update datasources under a workspace.",
        "provider": "Microsoft Operational Insights",
        "resource": "Data Source"
      }
    },
    {},
    {},
    {},
    {},
    {
      "name": "Microsoft.OperationalInsights/workspaces/notificationSettings/read",
      "display": {
        "description": "Get the user's notification settings for the workspace.",
        "operation": "Get Notification Settings",
        "provider": "Microsoft Operational Insights",
        "resource": "Notification Settings"
      }
    },
    {
      "name": "Microsoft.OperationalInsights/workspaces/notificationSettings/write",
      "display": {
        "description": "Set the user's notification settings for the workspace.",
        "operation": "Put Notification Settings",
        "provider": "Microsoft Operational Insights",
        "resource": "Notification Settings"
      }
    },
    {},
    {},
    {},
    {
      "name": "Microsoft.OperationalInsights/workspaces/configurationScopes/delete",
      "display": {
        "description": "Delete Configuration Scope",
        "operation": "Delete Configuration Scope",
        "provider": "Microsoft Operational Insights",
        "resource": "Configuration Scope"
      }
    },
    {
      "name": "Microsoft.OperationalInsights/workspaces/linkedServices/read",
      "display": {
        "description": "Get linked services under given workspace.",
        "operation": "Get linked services under given workspace.",
        "provider": "Microsoft Operational Insights",
        "resource": "Linked Services"
      }
    },
    {
      "name": "Microsoft.OperationalInsights/workspaces/linkedServices/write",
      "display": {
        "description": "Create/Update linked services under given workspace.",
        "operation": "Create/Update linked services under given workspace.",
        "provider": "Microsoft Operational Insights",
        "resource": "Linked Services"
      }
    },
    {
      "name": "Microsoft.OperationalInsights/workspaces/linkedServices/delete",
      "display": {
        "description": "Delete linked services under given workspace.",
        "operation": "Delete linked services under given workspace.",
        "provider": "Microsoft Operational Insights",
        "resource": "Linked Services"
      }
    },
    {
      "name": "Microsoft.OperationalInsights/workspaces/intelligencepacks/read",
      "display": {
        "description": "Lists all intelligence packs that are visible for a given worksapce and also lists whether the pack is enabled or disabled for that workspace.",
        "operation": "List Intelligence Packs",
        "provider": "Microsoft Operational Insights",
        "resource": "Intelligence Packs"
      }
    },
    {
      "name": "Microsoft.OperationalInsights/workspaces/intelligencepacks/enable/action",
      "display": {
        "description": "Enables an intelligence pack for a given workspace.",
        "operation": "Enable Intelligence Pack",
        "provider": "Microsoft Operational Insights",
        "resource": "Intelligence Packs"
      }
    },
    {
      "name": "Microsoft.OperationalInsights/workspaces/intelligencepacks/disable/action",
      "display": {
        "description": "Disables an intelligence pack for a given workspace.",
        "operation": "Disable Intelligence Pack",
        "provider": "Microsoft Operational Insights",
        "resource": "Intelligence Packs"
      }
    },
    {
      "name": "Microsoft.OperationalInsights/workspaces/analytics/query/action",
      "display": {
        "description": "Search using new engine.",
        "operation": "Search using new engine.",
        "provider": "Microsoft Operational Insights",
        "resource": "analytics"
      }
    },
    {
      "name": "Microsoft.OperationalInsights/workspaces/analytics/query/schema/read",
      "display": {
        "description": "Get search schema V2.",
        "operation": "Get search schema V2.",
        "provider": "Microsoft Operational Insights",
        "resource": "analytics"
      }
    },
    {
      "name": "Microsoft.OperationalInsights/workspaces/api/query/action",
      "display": {
        "description": "Search using new engine.",
        "operation": "Search using new engine.",
        "provider": "Microsoft Operational Insights",
        "resource": "analytics"
      }
    },
    {
      "name": "Microsoft.OperationalInsights/workspaces/api/query/schema/read",
      "display": {
        "description": "Get search schema V2.",
        "operation": "Get search schema V2.",
        "provider": "Microsoft Operational Insights",
        "resource": "analytics"
      }
    },
    {
      "name": "Microsoft.OperationalInsights/workspaces/purge/action",
      "display": {
        "description": "Delete specified data from workspace",
        "operation": "Delete specified data from workspace",
        "provider": "Microsoft Operational Insights",
        "resource": "analytics"
      }
    },
    {
      "name": "Microsoft.OperationalInsights/linkTargets/read",
      "display": {
        "description": "Lists existing accounts that are not associated with an Azure subscription. To link this Azure subscription to a workspace, use a customer id returned by this operation in the customer id property of the Create Workspace operation.",
        "operation": "List Unlinked Accounts",
        "provider": "Microsoft Operational Insights",
        "resource": "Unlinked Account"
      }
    },
    {
      "name": "Microsoft.OperationalInsights/workspaces/metricDefinitions/read",
      "display": {
        "description": "Get Metric Definitions under workspace",
        "operation": "Metric Definition operation",
        "provider": "Microsoft Operational Insights",
        "resource": "Metric Definitions"
      }
    }
  ]
}

Определения

Имя Описание
ErrorAdditionalInfo

Дополнительные сведения об ошибке управления ресурсами.

ErrorDetail

Подробности ошибки.

ErrorResponse

Ответ на ошибку

Operation

Поддерживаемая операция поставщика ресурсов OperationsInsights.

OperationDisplay

Отображение метаданных, связанных с операцией.

OperationListResult

Выгруженная коллекция предметов операции

ErrorAdditionalInfo

Дополнительные сведения об ошибке управления ресурсами.

Имя Тип Описание
info

object

Дополнительные сведения.

type

string

Тип дополнительных сведений.

ErrorDetail

Подробности ошибки.

Имя Тип Описание
additionalInfo

ErrorAdditionalInfo[]

Дополнительные сведения об ошибке.

code

string

Код ошибки.

details

ErrorDetail[]

Сведения об ошибке.

message

string

Сообщение об ошибке.

target

string

Целевой объект ошибки.

ErrorResponse

Ответ на ошибку

Имя Тип Описание
error

ErrorDetail

Объект ошибки.

Operation

Поддерживаемая операция поставщика ресурсов OperationsInsights.

Имя Тип Описание
display

OperationDisplay

Отображение метаданных, связанных с операцией.

name

string

Имя операции: {provider}/{resource}/{operation}

OperationDisplay

Отображение метаданных, связанных с операцией.

Имя Тип Описание
description

string

Описание работы

operation

string

Тип операции: получить, прочитать, удалить и т.д.

provider

string

Поставщик услуг: Microsoft OperationsManagement.

resource

string

Ресурс, на котором выполняется операция и т.д.

OperationListResult

Выгруженная коллекция предметов операции

Имя Тип Описание
nextLink

string (uri)

Ссылка на следующую страницу элементов

value

Operation[]

Элементы операции на этой странице